<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Assignment 2</title>
    <!-- include the 2 css files
    include the 2 js files -->
    <link rel="stylesheet" href="../../assets/styles/lab2_page.css">
    <link rel="stylesheet" href="../../assets/styles/base.css">
    <link rel="stylesheet" href="../../assets/styles/lab2_mobile.css">
    <script src="../../assets/scripts/lab2_page.js" defer></script>
    <script src="../../assets/scripts/lab2_utility.js" defer></script>
    <script src="../../assets/scripts/lab2_eslint.config.mjs" defer></script>
</head>

<body>
<section id="page">
    <!-- header here include paragraph and an image -->
    <header>
        <h1> <a href="../../index.html"> Web Dev 3</a> </h1>
        <img id="logo" src="../../assets/images/js.png" alt="image of javascript logo">
    </header>
    <section id="main">
        <form id="employee-form" novalidate="false">
            <section class="form-fields-row">
                <section class="form-fields-row">
                    <input type="radio"  name="novalidate" value="on" checked> <label for="">NO Form BUILT-IN validate</label>
                </section>
                <section class="form-fields-row">
                    <input type="radio"  name="novalidate" value="off"> <label for="">Form BUILT-IN validate</label>
                </section>
            </section>

            <h2>New Vet Patient Registration</h2>
            <section class="form-fields-row">
                <section>
                    <!-- include name label and input here -->
                    <label for="username">Name:</label>
                    <input type="text" name="name" id="username" minlength="3" maxlength="20" required>
                </section>
                <section>
                    <!-- include email label and input here -->
                    <label for="email">Email:</label>
                    <input type="email" name="name" id="email" required>
                </section>
            </section>
            <section class="form-fields-row">
                <!-- include number of pets input here -->
                <label for="num-pets">Number of Pets: </label>
                <select name="pets" id="num-pets" required>
                    <option value="">--Choose Number of Pets--</option>
                    <option value="1">1 pet</option>
                    <option value="2">2 pets</option>
                    <option value="3">3 pets</option>
                    <option value="4">4 pets</option>
                </select>
            </section>



            <section class="form-row">
                <div id="pets-section" style="display: none;">
                    <h4>Pets Information</h4>
                    <section id="pets-info"></section> <!-- this is where you dynamically create cards for each pets -->
                </div>
            </section>
            <section class="form-row">
                <section id="section-errors"></section> <!-- this is where you insert error msg-->
            </section>

            <section class="form-row">
                <button type="submit">Submit</button>
            </section>
        </form>
    </section>
    <!-- footer here -->
    <footer>
        <section>
            <p>Khymari Sandy</p>
        </section>
        <section>
            <p>2235225</p>
        </section>
        <section>
            <p>Fall 2024</p>
        </section>
    </footer>
</section>
</body>

</html>